cd "C:\Users\rjedwab\Desktop\Replication Files Jedwab & Vollrath 2018\Figure 4"

**************
***FIGURE 4***
**************

**********
***DATA***
**********

* We first create a database that we use to create Figure 4 *

*** Data on the development status of each country ***

* This file gives us the development status of each country. 
use developing_yn, clear
sort country
save developing_yn, replace

*** Demographic data ***

use demography, clear

* Knowing the crude rates of birth and death, we obtain the crude rate of natural increase:
gen ni_city = birth_city-death_city
gen ni_otcity = birth_otcity-death_otcity
gen ni_urban = birth_urban-death_urban
gen ni_rural = birth_rural-death_rural
gen ni_total = birth_total-death_total
label var ni_city "Crude rate of natural increase of the city"
label var ni_otcity "Crude rate of natural increase of the other cities"
label var ni_urban "Crude rate of natural increase of the urban areas"
label var ni_rural "Crude rate of natural increase of the countryside"
label var ni_total "Crude rate of natural increase of the country"

* We focus on 6 periods: pre-1800s, 1820s-1850s, 1880s, 1900s, 1960s, 2000s. We create a variable that shows the period. 
gen sample4 = sample
replace sample4 = "1. Pre-1800s" if sample == "1700s" | sample == "1750s" | sample == "17C" | sample == "6C" | sample == "Antiquity" | sample == "1800s"
replace sample4 = "2. Half19C" if sample == "1820s" | sample == "1850s" | sample == "19C"
replace sample4 = "3. 1880s" if sample == "1880s" 
replace sample4 = "4. 1900s" if sample == "1900s" 
replace sample4 = "5. 1960s" if sample == "1960s" 
replace sample4 = "6. 2000s" if sample == "2000s" 
tab sample4, m
drop if sample4 == "degline"

* We add the data on the development status of countries. 
replace country = "United States of America" if country == "United States"
replace country = "Viet Nam" if country == "Vietnam"
replace country = "United Republic of Tanzania" if country == "Tanzania"
replace country = "Syrian Arab Republic" if country == "Syria"
replace country = "Republic of Korea" if country == "South Korea"
replace country = "Russian Federation" if country == "Russia"
replace country = "Cote d'Ivoire" if country == "Ivory Coast"
replace country = "Iran (Islamic Republic of)" if country == "Iran"
replace country = "China, Hong Kong SAR" if country == "Hong Kong"
replace country = "Netherlands" if country == "Holland"
replace country = "Burkina Faso" if country == "Burkina-Faso"
sort country
merge country using developing_yn
tab _m
tab country if _m == 1
drop if _m == 2
drop _m
label var developing_yn "Dummy if developing country in 2015"

save demography2, replace

****************************************************
***AVERAGE DEMOGRAPHIC RATES USED FOR THE FIGURES***
****************************************************

*** AVERAGES FOR ALL OBSERVATIONS ***

* We obtain the average demographic rates for the full sample of 392 observations *
use demography2, clear
gen obs = 1
collapse (mean) birth* death* ni* (sum) obs, by(sample4)
gen year = _n
drop obs sample4
foreach X in city otcity urban rural total {
ren birth_`X' `X'CBR
ren death_`X' `X'CDR
ren ni_`X' `X'CRNI
}
reshape long city otcity urban rural total, i(year) j(panel) string
sort panel year
save averages_all, replace

*** AVERAGES FOR THE OBSERVATIONS OF DEVELOPING COUNTRIES TODAY ***

use demography2, clear
gen obs = 1
keep if developing_yn == 1
count
* 168
collapse (mean) birth* death* ni* (sum) obs, by(sample4)
gen year = _n
drop obs sample4
foreach X in city otcity urban rural total {
ren birth_`X' `X'CBR
ren death_`X' `X'CDR
ren ni_`X' `X'CRNI
}
reshape long city otcity urban rural total, i(year) j(panel) string
sort panel year
save averages_dev, replace

**************
***FIGURE 4***
**************

*** Crude Birth Rate ***

clear
use averages_all, clear
keep if panel == "CBR"
twoway (connected urban year, mcolor(black) msize(vlarge) msymbol(circle) lcolor(gs2) lwidth(medthick) lpattern(dash)) (connected city year, mcolor(gs14) msize(vlarge) msymbol(circle) mlcolor(black) mlwidth(medium) lcolor(black) lwidth(medthick) lpattern(solid)) (connected rural year, mcolor(gs5) msize(medlarge) msymbol(square) lcolor(gs5) lwidth(medthick) lpattern(solid)), xtitle(.) xtitle(, size(zero)) ytitle(Crude Birth Rate (Per 1,000 People)) ytitle(, margin(medsmall) size(medlarge)) legend(off) ylabel(0(10)50) graphregion(margin(small) fcolor(white) lcolor(white) ifcolor(white) ilcolor(white))
* We modify manually and then export it.
graph use "figure4a_top.gph"
graph export figure4a_top.png, replace width(2620) height(1908)

clear
use averages_dev, clear
keep if panel == "CBR"
twoway (connected urban year, mcolor(black) msize(vlarge) msymbol(circle) lcolor(black) lwidth(medthick) lpattern(dash)) (connected city year, mcolor(gs14) msize(vlarge) msymbol(circle) mlcolor(black) mlwidth(medium) lcolor(black) lwidth(medthick) lpattern(solid)) (connected rural year, mcolor(gs5) msize(medlarge) msymbol(square) lcolor(gs5) lwidth(medthick) lpattern(solid)), xtitle(.) xtitle(, size(zero)) ytitle(Crude Birth Rate (Per 1,000 People)) ytitle(, margin(medsmall) size(medlarge)) legend(off) ylabel(0(10)50) graphregion(margin(small) fcolor(white) lcolor(white) ifcolor(white) ilcolor(white))
* We modify manually and then export it.
graph use "figure4b_top.gph"
graph export figure4b_top.png, replace width(2620) height(1908)

*** Crude Death Rate ***

clear
use averages_all, clear
keep if panel == "CDR"
twoway (connected urban year, mcolor(black) msize(vlarge) msymbol(circle) lcolor(gs2) lwidth(medthick) lpattern(dash)) (connected city year, mcolor(gs14) msize(vlarge) msymbol(circle) mlcolor(black) mlwidth(medium) lcolor(black) lwidth(medthick) lpattern(solid)) (connected rural year, mcolor(gs5) msize(medlarge) msymbol(square) lcolor(gs5) lwidth(medthick) lpattern(solid)), xtitle(.) xtitle(, size(zero)) ytitle(Crude Death Rate (Per 1,000 People)) ytitle(, margin(medsmall) size(medlarge)) legend(off) ylabel(0(10)40) graphregion(margin(small) fcolor(white) lcolor(white) ifcolor(white) ilcolor(white))
* We modify manually and then export it.
graph use "figure4a_mid.gph"
graph export figure4a_mid.png, replace width(2620) height(1908)

clear
use averages_dev, clear
keep if panel == "CDR"
twoway (connected urban year, mcolor(black) msize(vlarge) msymbol(circle) lcolor(gs2) lwidth(medthick) lpattern(dash)) (connected city year, mcolor(gs14) msize(vlarge) msymbol(circle) mlcolor(black) mlwidth(medium) lcolor(black) lwidth(medthick) lpattern(solid)) (connected rural year, mcolor(gs5) msize(medlarge) msymbol(square) lcolor(gs5) lwidth(medthick) lpattern(solid)), xtitle(.) xtitle(, size(zero)) ytitle(Crude Death Rate (Per 1,000 People)) ytitle(, margin(medsmall) size(medlarge)) legend(off) ylabel(0(10)40) graphregion(margin(small) fcolor(white) lcolor(white) ifcolor(white) ilcolor(white))
* We modify manually and then export it.
graph use "figure4b_mid.gph"
graph export figure4b_mid.png, replace width(2620) height(1908)

*** Crude Rate of Natural Increase ***

clear
use averages_all, clear
keep if panel == "CRNI"
twoway (line total year, lcolor(black) lwidth(medthick) lpattern(vshortdash))(connected urban year, mcolor(black) msize(vlarge) msymbol(circle) lcolor(gs2) lwidth(medthick) lpattern(dash)) (connected city year, mcolor(gs14) msize(vlarge) msymbol(circle) mlcolor(black) mlwidth(medium) lcolor(black) lwidth(medthick) lpattern(solid)) (connected rural year, mcolor(gs5) msize(medlarge) msymbol(square) lcolor(gs5) lwidth(medthick) lpattern(solid)), xtitle(.) xtitle(, size(zero)) ytitle(Crude Rate of Natural Increase (Per 1,000 People)) ytitle(, margin(medsmall) size(medlarge)) legend(off) ylabel(0(5)30) graphregion(margin(small) fcolor(white) lcolor(white) ifcolor(white) ilcolor(white))
* We modify manually and then export it.
graph use "figure4a_bot.gph"
graph export figure4a_bot.png, replace width(2620) height(1908)

clear
use averages_dev, clear
keep if panel == "CRNI"
twoway (line total year, lcolor(black) lwidth(medthick) lpattern(vshortdash))(connected urban year, mcolor(black) msize(vlarge) msymbol(circle) lcolor(gs2) lwidth(medthick) lpattern(dash)) (connected city year, mcolor(gs14) msize(vlarge) msymbol(circle) mlcolor(black) mlwidth(medium) lcolor(black) lwidth(medthick) lpattern(solid)) (connected rural year, mcolor(gs5) msize(medlarge) msymbol(square) lcolor(gs5) lwidth(medthick) lpattern(solid)), xtitle(.) xtitle(, size(zero)) ytitle(Crude Rate of Natural Increase (Per 1,000 People)) ytitle(, margin(medsmall) size(medlarge)) legend(off) ylabel(0(5)30) graphregion(margin(small) fcolor(white) lcolor(white) ifcolor(white) ilcolor(white))
* We modify manually and then export it.
graph use "figure4b_bot.gph"
graph export figure4b_bot.png, replace width(2620) height(1908)

***********************************************
***AVERAGES THAT WE USE FOR THE CALIBRATIONS***
***********************************************

*** FOR POOR COUNTRIES IN THE PAST (1900s & 1960s) AND TODAY (2000s) ***

* We focus on a set of 43 "poor" countries. We have demographic data for 19 of them.
use demography2, clear
* We keep the 19 countries: 
keep if country == "Thailand" | country == "Angola" | country == "Bangladesh" | country == "Burkina Faso" | country == "Cameroon" | country == "China" | country == "Côte d'Ivoire" | country == "Democratic Republic of the Congo" | country == "Ethiopia" | country == "India" | country == "Indonesia" | country == "Kenya" | country == "Mali" | country == "Myanmar" | country == "Nigeria" | country == "Pakistan" | country == "Senegal" | country == "Sudan" | country == "United Republic of Tanzania" | country == "Viet Nam"
codebook country
* We aggregate up the periods into three main periods: circa 1900 (pre-UMT), circa 1960 (post-UMT), and circa 2000 (today):
gen sample2 = sample
replace sample2 = "0-1900s" if sample != "1900s" & sample != "1960s" & sample != "2000s" & sample != "degline"
* Every time, we study the rates with and without China (due to the one-policy in 1978). 

* RURAL AREAS:
bysort sample2: sum birth_rural
* Birth rate: 48.5 (1900); 42.8 (1960); 25.0 (2000).
bysort sample2: sum birth_rural if country != "China" 
* Birth rate: 50.5 (1900); 44.0 (1960); 32.0 (2000).
* We use 43 as the initial birth rate. We use 35 today, which is the rate we obtain if we exclude China as well as Thailand, a country that is much more developed than the rest of the sample. 
bysort sample2: sum death_rural
* Death rate: 40.6 (1900); 19.1 (1960); 9.2 (2000). 
bysort sample2: sum death_rural if country != "China" 
* Death rate: 43.2 (1900); 21.1 (1960); 10.2 (2000).
* We use 43 as the initial rate. However, post-UMT, this rate is 20. We use 10 today. 

* URBAN AREAS (making assumptions for the formal and informal areas):
bysort sample2: sum birth_urban
* Birth rate: 38.3 (1900); 40.6 (1960); 19.5 (2000). 
bysort sample2: sum birth_urban if country != "China"
* Birth rate: 38.5 (1900); 41.7 (1960); 26.7  (2000). 
* We use about 40 as the initial birth rate (pre- and post- UMT) and about 25-27.5 today.  
* From the analysis on the demography of slums (see tab "Summary_Slums" in the excel file "demography" in the folder "Replication Files Jedwab & Vollrath 2018\Demography Data"), we know that birth rates were higher in informal areas than in formal areas. 
* We thus assume an initial birth rate of 43 (42.5) in the informal areas and an initial birth rate of 38 (37.5) in the formal areas.
* we obtain today's birth rates for the slums areas (33.7) and the non-slum areas (17.3), with the city average being 23.8.
* Since the city average is a bit lower than the average rate in our sample, we adjust up both rates, and assume 35 for the informal areas and 20 for the formal areas today.
bysort sample2: sum death_urban
* Death rate: 36.9 (1900); 14.5 (1960); 6.6 (2000). 
bysort sample2: sum death_urban if country != "China"
* Death rate: 37.6 (1900); 15.9 (1960); 7.5 (2000). 
* We use 15 as our end CDR. But the initial CDR was close to 37.5 We use 40 since the urban mortality transition may have started a then or a bit earlier. We assume it was not different between the formal and informal areas. 
* We use about 7.5 today. From the analysis of the demography of slums, we find that death rates are similar in formal and informal areas, around 7, so we use 7.5 for both.

* SUMMARY:
* Formal: Birth rate decreasing from 38 (pre- and post-UMT) to 20 (today)
* Formal: Death rate decreasing from 40 (pre-UMT) to 15 (post-UMT) and 7.5 (today)
* Informal: Birth rate decreasing from 43 (pre- and post-UMT) to 35 (today)
* Informal: Death rate decreasing from 40 (pre-UMT) to 15 (post-UMT) and 7.5 (today)
* Rural: Birth rate decreasing from 43 (post-UMT) to 35 (today)
* Rural: Death rate decreasing from 43 (pre-UMT) to 20 (post-UMT) and 10 (today)

*** FOR RICH COUNTRIES IN THE PAST (1800-1950) ***

* We focus on a set of 20 historical countries. We have demographic data for 14 of them. 

use demography2, clear
* We keep the 14 countries:
keep if country == "United States of America" | country == "Austria" | country == "Belgium" | country == "Denmark" | country == "France" | country == "Germany" | country == "Hungary" | country == "Ireland" | country == "Italy" | country == "Netherlands" | country == "Portugal" | country == "Spain" | country == "Sweden" | country == "United Kingdom" 
codebook country
* We aggregate up the periods into four main periods: circa 1750, circa 1800, circa 1900 and circa 1950:
gen sample_IR = "1800" if sample == "1800s" | sample == "1820s" | sample == "1850s"
replace sample_IR = "1750" if sample == "1750s" | sample == "1700s"
replace sample_IR = "1900" if sample == "1880s" | sample == "1900s"
replace sample_IR = "1950" if sample == "1960s"
* We drop the other periods:
keep if sample_IR != ""
* We obtain the average demographic rates for each country-period: 
collapse (mean) birth* death*, by(country sample_IR)
sort country sample_IR
bysort country sample_IR: keep if _n == 1
* Since we have demographic data for the cities (the main cities or the other cities) than for the urban areas, we verify that the demographic rates are strongly correlated whether we use the cities or the urban areas.
corr birth_city birth_urban
* 0.88
corr death_city death_urban
* 0.93
corr birth_otcity birth_urban
* 0.95
corr death_otcity death_urban
* 0.99
corr birth_rural birth_total
* 0.97
corr death_rural death_total
* 0.95
* Since the rates are strongly correlated, we replace the urban demographic rates when they are missing by the rates for the main/other cities:
replace birth_urban = birth_city if birth_urban == .
replace death_urban = death_city if death_urban == .
replace birth_urban = birth_otcity if birth_urban == .
replace death_urban = death_otcity if death_urban == .
* This allows us to increase the representativeness of the sample. 
* We then obtain the average demographic rates for the rural areas and the urban areas. 

* RURAL AREAS:
bysort sample_IR: sum birth_rural
* Birth rate: 41.7 (1750), 35.7 (1800), 33.9 (1900) and 21.9 (1950). 
* In the calibration, we will use 37.5 circa 1800 and 22.5 circa 1950. 
bysort sample_IR: sum death_rural
* Death rate: 27.3 (1750), 23.1 (1800), 21.2 (1900) and 10.75 (1950). 
* In the calibration, we will use 25 circa 1800 and 10 circa 1950. 

* URBAN AREAS (making assumptions for the formal and informal areas):
bysort sample_IR: sum birth_urban
* Birth rate: 36.0 (1750), 32.7 (1800), 30.5 (1900) and 20.0 (1950). 
* We assume birth rates of about 32.5 circa 1800 and 20 circa 1950. 
* From the analysis on the demography of slums (see tab "Summary_Slums" in the excel file "demography" in the folder "Replication Files Jedwab & Vollrath 2018\Demography Data"), we know birth rates are lower in formal areas than in informal areas (however, this is for the late 19th century only). 
* We assume the following birth rates circa 1800: formal = 30, informal = 35.
* We assume the following birth rates circa 1950: formal = 17.5, informal = 22.5. 
bysort sample_IR: sum death_urban
* Death rate: 36.7 (1750), 30.3 (1800), 23.1 (1900) and 9.8 (1950). 
* Since we focus on death rates before the urban mortality transition in rich countries, we use the highest death rate, 36.7 in 1750, so about 37.5. 
* For 1950, since the death rate is very different between 1900 (23.1; N = 14) and 1950 (9.8; N = 4 only), we assume 15 for the end year.
* We thus assume death rates of about 37.5 before 1800 and 15 circa 1950, i.e. a reduction of 22.5 in the urban death rate.
* From the analysis on the demography of slums (see tab "Summary_Slums" in the excel file "demography" in the folder "Replication Files Jedwab & Vollrath 2018\Demography Data"), we know death rates are lower by 7.5 in formal areas than in informal areas (however, this is for the late 19th century only). 
* With a death rate of about 37.5 before 1800, we assume 35 for formal and 42.5 for informal. Given a slum share about 0.30, this gives an average of about 37.5 for the urban areas.
* With a death rate of about 15 circa 1900, we assume 12.5 for formal and 20 for informal. Given a slum share about 0.30, this gives an average of about 15 for the urban areas.

* SUMMARY (from about 1800 to about 1950):
* Formal: Birth rate decreasing from 30 to 17.5
* Formal: Death rate decreasing from 35 to 12.5
* Informal: Birth rate decreasing from 35 to 22.5
* Informal: Death rate decreasing from 42.5 to 20
* Rural: Birth rate decreasing from 37.5 to 22.5
* Rural: Death rate decreasing from 25 to 10
