cd "C:\Users\Remi\Desktop\Replication Files Jedwab & Vollrath 2018\Figure 5\Figure 5f"

***************
***FIGURE 5F***
***************

* We use our demographic data set to obtain the crude rate of natural increase in the 1960s.
use demography, clear
keep if sample == "1960s" | sample == "2000s"
gen ni_city = birth_city-death_city
label var ni_city "Crude rate of natural increase of the megacities"
* We first change the name of several cities to match the data on dependency ratios:
replace city = "Addis Abeba" if city == "Addis Ababa"
replace city = "Ahmadabad" if city == "Ahmedabad"
replace city = "Hong Kong" if city == "Hong kong "
replace city = "Khartum" if city == "Khartoum"
replace city = "Mumbay" if city == "Mumbai"
replace city = "Yangon" if city == "Rangoon"
replace city = "Washington" if city == "Washington DC"
replace city = "Zhengzhou" if city == "Zhengzhou / Henan"
keep city sample ni_city
ren ni_city ni_city_
reshape wide ni_city, i(city) j(sample) string
sort city
save demography1960s2000s, replace
count

* We now merge the demographic data with the data on city age structures and city dependency ratios. 
clear
import excel "city_dependency_ratios.xlsx", sheet("Sheet1") firstrow clear
gen childdepratio = sh_0_14/sh_15_64*100
label var childdepratio "Child dependency ratio in the 2000s"
keep city childdepratio
sort city
merge city using demography1960s2000s
tab _m
drop if _m == 2
drop _m

* Figure 5f *
reg childdepratio ni_city_1960s, robust 
twoway (lfit childdepratio ni_city_1960s, lcolor(gs6) lwidth(medthick) lpattern(dash))(scatter childdepratio ni_city_1960s, mcolor(gs14) msize(large) msymbol(circle) mlcolor(black) mlwidth(medium)), ytitle(City Child Dependency Ratio (%) in the 2000s) xtitle(City Crude Rate of Natural Increase (Per 1,000 People) in the 1960s) xlabel(10(10)30) legend(off) ytitle(, margin(small)) xtitle(, margin(small))graphregion(margin(small) fcolor(white) lcolor(white) ifcolor(white) ilcolor(white))
graph use "figure5f.gph"
graph export figure5f.png, replace width(2620) height(1908)
reg childdepratio ni_city_2000s, robust

